Блог KernelCare - KernelCare поддерживает множество дистрибутивов, но работает ли он с вашим ядром?
Блог KernelCare

KernelCare поддерживает множество дистрибутивов. А что на счет вашего ядра?

KernelCare поддерживает множество дистрибутивов. А что на счет вашего ядра?

Мы часто задаемся вопросом, поддерживается ли конкретное ядро ​​KernelCare. Мы поддерживаем большое количество дистрибутивов и версий ядра, таких как CentOS / RHEL / CL 5,6 & 7, Debian, Ubuntu, Virtuozzo и Proxmox VE. Список всех поддерживаемых дистрибутивов, ядер, а также исправлений для них доступен по адресу http://patches.kernelcare.com.

Тем не менее, для упрощения процесса мы выпустили простой скрипт, который вы можете запустить на своем сервере, чтобы точно узнать.

https://github.com/iseletsk/kernelchecker/blob/master/py/kc-compat.py

Его можно выполнить, выполнив:

curl -s https://raw.githubusercontent.com/iseletsk/kernelchecker/master/py/kc-compat.py|python

Или ...

wget -qq -O - https://raw.githubusercontent.com/iseletsk/kernelchecker/master/py/kc-compat.py|python

Сценарий будет отвечать:

  • СОВМЕСТИМОЕ -> Ядро, поддерживаемое KernelCare
  • UNSUPPORTED -> KernelCare не распознает ядро
  • НЕ ПОДДЕРЖИВАЕТСЯ; INSIDE CONTAINER -> работает внутри контейнера, не может исправлять ядро

HardenedPHP - еще один день, другое исправление безопасности
Бета-версия: CageFS, LVE Manager и обновленные версии

Комментарии 24

Здравствуйте,

Последнее VZ-ядро 2.6.32-042stab123.6 не поддерживается KernelCare. Пожалуйста, добавьте его.

[[Электронная почта защищена] ~] # / usr / bin / kcarectl --update
Неизвестное ядро ​​(CentOS 2.6.32-042stab123.6)

Привет, последнее ядро ​​VZ 2.6.32-042stab123.6 не поддерживается KernelCare. Пожалуйста, добавьте его. [[Электронная почта защищена] ~] # / usr / bin / kcarectl - обновление Неизвестное ядро ​​(CentOS 2.6.32-042stab123.6)

Здравствуйте,

/ usr / bin / kcarectl --update
Неизвестное ядро ​​(Virtuozzo Linux 3.10.0-514.16.1.vz7.30.10)

Просьба добавить его.



Здравствуйте, / usr / bin / kcarectl --update Неизвестное ядро ​​(Virtuozzo Linux 3.10.0-514.16.1.vz7.30.10) Просьба добавить его.

Привет, У меня есть 3.10.0-614.10.2.lve1.4.72 и только что купил KC после испытания. Суд не предупредил, что ядро ​​не было поддержано. Вы могли бы посоветовать

Привет, У меня есть 3.10.0-614.10.2.lve1.4.72 и только что купил KC после испытания. Суд не предупредил, что ядро ​​не было поддержано. Вы могли бы посоветовать

Я получил ошибку ниже, когда я попытался установить kernelcare

Ошибка: конфликты в ядре с uptrack-1.2.41-0.el6.noarch
Вы можете попробовать использовать -skip-break для решения проблемы
Вы можете попробовать запустить: rpm -Va --nofiles --nodigest

Я получил следующую ошибку, когда я попытался установить kernelcare. Ошибка: конфликты в ядре с uptrack-1.2.41-0.el6.noarch. Вы можете попробовать использовать -skip-break для решения этой проблемы. Вы можете попробовать запустить: rpm -Va --nofiles --nodigest
Гость - Дэвид Обри в воскресенье, 04 Февраль 2018 16: 11

Здравствуй.
Я с OVH на выделенном сервере, и я думаю, что это настраиваемое ядро. Можете ли вы добавить поддержку?

[[Электронная почта защищена] ~] # curl -s https://raw.githubusercontent.com/iseletsk/kernelchecker/master/py/kc-compat.py|python
НЕ ПОДДЕРЖИВАЕТСЯ
[[Электронная почта защищена] ~] # uname -r
4.9.78-хххх-STD-ipv6-64

Здравствуй. Я с OVH на выделенном сервере, и я думаю, что это настраиваемое ядро. Можете ли вы добавить поддержку? [[Электронная почта защищена] ~] # curl -s https://raw.githubusercontent.com/iseletsk/kernelchecker/master/py/kc-compat.py|python UNSUPPORTED [[Электронная почта защищена] ~] # uname -r 4.9.78-xxxx-std-ipv6-64

К сожалению, KC не поддерживает ядра OVH. Некоторые поставщики позволяют загружать с помощью ванильных ядер (например, CentOS), которые могут быть решением проблемы.

К сожалению, KC не поддерживает ядра OVH. Некоторые поставщики позволяют загружать с помощью ванильных ядер (например, CentOS), которые могут быть решением проблемы.
Гостья - сача в субботу, 14, апрель, 2018, 09: 50.

Здравствуйте,

как насчет 4.14.15-xxxx-std-ipv6-64? вы будете поддерживать его в ближайшее время?

Привет, а как насчет 4.14.15-xxxx-std-ipv6-64? вы будете поддерживать его в ближайшее время?

К сожалению, KC не поддерживает ядра OVH. Некоторые поставщики позволяют загружать с помощью ванильных ядер (например, CentOS), которые могут быть решением проблемы.

К сожалению, KC не поддерживает ядра OVH. Некоторые поставщики позволяют загружать с помощью ванильных ядер (например, CentOS), которые могут быть решением проблемы.

Я с Sercured Servers в Аризоне и после недавнего обновления Yum, который обновил ядро ​​Apache, я неожиданно получаю письма, которые говорят:
Неизвестное ядро ​​(CentOS 2.6.32-754.6.3.el6.x86_64)

Когда я запускаю ваш скрипт, он говорит, что я НЕ СУЩЕСТВУЮ. Это ошибка на вашем конце, или есть изменения с моей серверной хостинговой компанией?

Я с Sercured Servers в Аризоне, и после недавнего обновления Yum, который обновил ядро ​​Apache, я неожиданно получаю сообщения электронной почты, которые говорят: Неизвестное ядро ​​(CentOS 2.6.32-754.6.3.el6.x86_64) Когда я запускаю ваш скрипт, он говорит, что я UNSUPPORTED. Это ошибка на вашем конце, или есть изменения с моей серверной хостинговой компанией?

Конец для этого ядра ожидается к октябрю 16

Конец для этого ядра ожидается к октябрю 16
Уже зарегистрирован? ВОЙТИ
гость
Пятница, 20 сентября 2019

Защитный код изображение